/**
 ____ ____ ____ ____ ____ ____
||l |||e |||i |||n |||a |||d ||
||__|||__|||__|||__|||__|||__||
|/__\|/__\|/__\|/__\|/__\|/__\|

**/

#include<bits/stdc++.h>
#define endl '\n'

using namespace std;
typedef long long ll;

void speed()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
}
const int maxn = 5010;

int n, k;
ll a[maxn], pref[maxn];
void solve()
{
    cin >> n >> k;
    for (int i = 1; i <= n; i ++)
    {
        cin >> a[i], pref[i] = pref[i - 1] + a[i];
    }

    double ans = 0.0;
    for (int i = 1; i <= n; i ++)
        for (int j = i + k - 1; j <= n; j ++)
    {
        double ave = (double)(pref[j] - pref[i - 1]) / (double)(j - i + 1);
        if (ave > ans)
            ans = ave;
    }

    printf("%0.4f\n", ans);

}

int main()
{
    solve();
    return 0;
}

